summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Youjie Zhou <jmpopush@gmail.com>2014-10-28 08:43:55 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-10-30 20:27:30 +0700
commit6d094eec3f0259597815e3a1553d49b1137c74bc (patch)
tree1c3288eef0cbe929968e77c96d386d46ac64a1ec
parent98a4e3c907df53baae7c308ea9a16d07f693f6a0 (diff)
downloadslackbuilds-6d094eec3.tar.gz
slackbuilds-6d094eec3.tar.xz
system/tty2gif: Added (record your scripts into a gif).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/tty2gif/README3
-rw-r--r--system/tty2gif/slack-desc19
-rw-r--r--system/tty2gif/tty2gif.SlackBuild86
-rw-r--r--system/tty2gif/tty2gif.info10
4 files changed, 118 insertions, 0 deletions
diff --git a/system/tty2gif/README b/system/tty2gif/README
new file mode 100644
index 0000000000..071c3a8d88
--- /dev/null
+++ b/system/tty2gif/README
@@ -0,0 +1,3 @@
+tty2gif let you record terminal scripts and their outputs into both binary and
+gif animations. tty2gif also can be used to convert an exist binary script file
+into a gif animation.
diff --git a/system/tty2gif/slack-desc b/system/tty2gif/slack-desc
new file mode 100644
index 0000000000..c103a33612
--- /dev/null
+++ b/system/tty2gif/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tty2tif: tty2gif (record your scripts into a gif)
+tty2gif:
+tty2gif: tty2gif let you record your terminal scripts and their outputs into
+tty2gif: both binary and gif animations.
+tty2gif:
+tty2gif: Homepage: http://z24.github.io/tty2gif/
+tty2gif:
+tty2gif:
+tty2gif:
+tty2gif:
+tty2gif:
diff --git a/system/tty2gif/tty2gif.SlackBuild b/system/tty2gif/tty2gif.SlackBuild
new file mode 100644
index 0000000000..af8547dd01
--- /dev/null
+++ b/system/tty2gif/tty2gif.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for tty2gif
+
+# Copyright 2014 Youjie Zhou <jmpopusth AT gmail DOT com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=tty2gif
+VERSION=${VERSION:-0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# Change source package name
+if [ "$ARCH" = "x86_64" ]; then
+ SRCARCH="64bit"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "arm" ]; then
+ printf "\n$ARCH is unsupported for tty2gif...\n\n"
+ exit 1
+else
+ SRCARCH="32bit"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/v$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make
+
+mkdir -p $PKG/usr/bin/
+cp tty2gif $PKG/usr/bin
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/tty2gif/tty2gif.info b/system/tty2gif/tty2gif.info
new file mode 100644
index 0000000000..3393686ffb
--- /dev/null
+++ b/system/tty2gif/tty2gif.info
@@ -0,0 +1,10 @@
+PRGNAM="tty2gif"
+VERSION="0.2"
+HOMEPAGE="http://z24.github.io/tty2gif/"
+DOWNLOAD="https://github.com/z24/tty2gif/archive/v0.2.tar.gz"
+MD5SUM="443469a07ba8354ae393c7aff525f225"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Youjie Zhou"
+EMAIL="jmpopush@gmail.com"